Skip to main content
GET
/
job
/
application
cURL
curl --request GET \
  --url https://api.collective.work/{environment}/v1/job/application \
  --header 'Authorization: Bearer <token>'
{
  "id": "cm71yqftr00000ck0bpz3hpg1",
  "createdAt": "2024-01-15T10:30:00.000Z",
  "candidate": {
    "id": "cm71yqftr00000ck0bpz3hpg1",
    "firstname": "John",
    "lastname": "Doe",
    "email": "[email protected]",
    "phoneNumber": "+33612345678",
    "linkedinUrl": "https://www.linkedin.com/in/johndoe"
  },
  "cv": {
    "fileName": "resume.pdf",
    "contentType": "application/pdf",
    "data": "JVBERi0xLjQKJeLjz9MKMSAwIG9iago8PC..."
  },
  "questions": [
    {
      "question": "So you like maths?",
      "answer": "I love maths and studied them for 4 years at the university."
    }
  ],
  "job": {
    "id": "cm71yqftr00000ck0bpz3hpg1",
    "name": "Senior Software Engineer",
    "internalJobId": "JOB-2024-001",
    "companyName": "Acme Corporation"
  },
  "evaluation": {
    "score": 85,
    "comment": "Strong match for the role",
    "reasons": [
      {
        "text": "Strong React experience",
        "isPositive": true
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key given to you (If you don't have one, check this section)

Query Parameters

id
string
required

Unique ID of the application to retrieve

Response

Application details retrieved successfully

id
string
required

Unique identifier of the application

Example:

"cm71yqftr00000ck0bpz3hpg1"

createdAt
string<date-time>
required

Date when the application was submitted

Example:

"2024-01-15T10:30:00.000Z"

candidate
object
required

Candidate information

cv
object
required

CV document

questions
object[]
required

Screening questions and answers, ordering is the same as when the questions were created

job
object
required

Job information associated with the application

evaluation
object

AI-generated evaluation of the application against the job. May be null if the evaluation has not been computed yet.